<style type="text/css">
	.w200 { width: 200px !important }
	.w150 { width: 150px !important }
	.ml100 {margin-left: 100px !important }
	.ml115 {margin-left: 115px !important }
	.mt10 { margin-top: 10px !important }
	.mr30 {margin-right: 30px !important}
	
	
	.form .vindent2 {margin-top: 0px !important}
</style>



<form class="form-common" action="/billing/profile-booster/edit?id=<?= $this->boost->id ?>" method="post">
	<? 
		$c_id = Cubix_Application::getById()->country_id;

		$city_model = new Model_Geography_Cities();
		$cities = $city_model->ajaxGetAll(null, $c_id);

		$regions = array();
		foreach ( $cities as $city )
		{
			if ( ! isset($regions[$city->region_title]) ) {
				$regions[$city->region_title] = array();
			}

			$regions[$city->region_title][] = $city;
		}
	?>
	<div class="gotd-block">
		<fieldset>
			<div class="inner">
				<label><?= __('select_city') ?></label>
				<select class="w13" name="city_id" id="city-id">
					<option value="">---</option>
					<? if ( is_null($this->boost->city_id) ): ?>
					<option value="index" selected="selected">INDEX</option>
					<? else: ?>
					<? foreach($cities as $city): ?>
					<option value="<?= $city->id ?>" <?= $this->boost->city_id == $city->id ? 'selected="selected"' : '' ?>><?= $city->title ?></option>
					<? endforeach; ?>
					<? endif; ?>
				</select>
			</div>
			<div class="inner">
				<label>Date</label>
				<input type="text" id="date" class="txt w8" name="activation_date" value="<?= strtotime($this->boost->activation_date) ?>"/>
			</div>
			<div class="inner">
				<label>Time</label>
				<select id="time" name="hour_from">
					<option value="">---</option>
					<? for ($i = 0; $i < 24; $i++): ?>
					<option value="<?= $i ?>" <?= $i == $this->boost->hour_from ? 'selected="selected"' : '' ?>><?= $i ?></option>
					<? endfor; ?>
				</select>
			</div>
			<div id="btn-add"></div>
			<div class="clear"></div>
			<div class="inner"><input type="hidden" name="boost_err"/></div>
			<div class="clear"></div>
			<div id="boost-list" class="mt10"></div>
			<div class="clear"></div>
		</fieldset>
	</div>
	<div class="clear"></div>
</form>

<script type="text/javascript">
	var profileBoostPrice;
	window.editPopup.addEvent('loaded', function () {
			
		new Picker.Date('input[id=date]', { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y', timePicker: false });
		
		this.removeEvents('loaded');
	});
</script>
